Skip to main content
`Ctrl`+`K`

# PCBDDCInterfaceExtType

Defines how interface balancing is extended into the interior of subdomains with the `PCType` of `PCBDDC`

## Synopsis

    typedef enum {
      PC_BDDC_INTERFACE_EXT_DIRICHLET,
      PC_BDDC_INTERFACE_EXT_LUMP
    } PCBDDCInterfaceExtType;

## Values

- `PC_BDDC_INTERFACE_EXT_DIRICHLET` - solves Dirichlet interior problem; this is the standard BDDC algorithm

- `PC_BDDC_INTERFACE_EXT_LUMP` - skips interior solve; sometimes called \(M_1\) and associated with “lumped FETI-DP”

## See Also

Preconditioners, `PCBDDC`, `PC`

## Level

intermediate

## Location

include/petscpctypes.h

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages